# PetscDrawSPGetAxis

Gets the axis context associated with a line graph. This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the application code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawSPGetAxis(PetscDrawSP sp,PetscDrawAxis *axis)

Not Collective (except PetscDrawAxis can only be used on processor 0 of PetscDrawSP)

### Input Parameter

sp -the line graph context

### Output Parameter

axis -the axis context

Level:intermediate
Location:src/sys/draw/utils/dscatter.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages